##### GENERAL STUFF #####
%define release %mkrel 1
%define libname %mklibname ptp2 _1

Summary:	Library to access digital cameras via PTP
Name:		libptp2
Version:	1.2.0
Release:	%release
License:	GPL
Group:		Graphics
URL:		http://sourceforge.net/projects/libptp/
Source: http://heanet.dl.sourceforge.net/sourceforge/libptp/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libusb-devel


%description
Many digital cameras communicate with computers via the Picture
Transfer Protocol (PTP). This protocol gives a standardized
manufacturer-independent set of camera operation commands, as
downloading pictures, remote capturing, ... Unfortunately
manufacturers added also there own non-standard commands, especially
for remote control. This library contains a near complete remote
control command set for Canon digital cameras and also some stuff for
Nikon.

%package -n %libname
Summary:	Library to access digital cameras via PTP
Provides:	%{name}
Group:		System/Libraries

%description -n %libname
Many digital cameras communicate with computers via the Picture
Transfer Protocol (PTP). This protocol gives a standardized
manufacturer-independent set of camera operation commands, as
downloading pictures, remote capturing, ... Unfortunately
manufacturers added also there own non-standard commands, especially
for remote control. This library contains a near complete remote
control command set for Canon digital cameras and also some stuff for
Nikon.

%package -n %{libname}-devel
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libptp2-devel
Group:		Development/Libraries

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%package -n ptpcam
Summary:	Command line utility to access digital cameras via PTP
Group:		Graphics

%description -n ptpcam
Many digital cameras communicate with computers via the Picture
Transfer Protocol (PTP). This protocol gives a standardized
manufacturer-independent set of camera operation commands, as
downloading pictures, remote capturing, ... Unfortunately
manufacturers added also there own non-standard commands, especially
for remote control. ptpcam makes use of the %{libname} library which
contains a near complete remote control command set for Canon digital
cameras and also some stuff for Nikon.


##### PREP #####

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf %buildroot/%{_libdir}/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*

%files -n ptpcam
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Tue Dec 19 2017 adrianomorselli <adrianomorselli> 1.2.0-1uplos2017
- update
